MochiTest "leaks" while it runs, then frees at shutdown only, on my computer

RESOLVED FIXED

Status

Testing
Mochitest
--
critical
RESOLVED FIXED
9 years ago
9 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

({mlk, regression})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
Memory usage increases continuously while running Mochitests.
This is bad enough that I can't complete the tests anymore, due to extensive swapping.

Yet, when I stop the process, no leaks are reported.

NB: This was working fine last time I ran it, on 2008-10-09, afaicr.


[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081102 Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

I had to stop the process while Windows was reporting 670 MB.

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081103 SeaMonkey/2.0a2pre] (home, optim default) (W2Ksp4)

I stopped it at 340- MB.
Flags: blocking1.9.1?
(Reporter)

Updated

9 years ago
Summary: MochiTest "leaks" while it runs, frees when stopped only → MochiTest "leaks" while it runs, then frees at shutdown only, on my computer
(Reporter)

Updated

9 years ago
Blocks: 408905
(Reporter)

Updated

9 years ago
Blocks: 463355
(Reporter)

Comment 1

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081106 Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

I stopped it at 340+ MB.
(Reporter)

Comment 2

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b1pre) Gecko/20081106 Minefield/3.1b1pre] (home, optim default) (W2Ksp4)

"197f83ad7678 2008-10-07 15:45:10" was fine: "stable, at 140-180 MB".
Whiteboard: [Regressed between 2008-10-07 and 2008-11-02]
(Reporter)

Comment 3

9 years ago
(In reply to comment #2)
> "197f83ad7678 2008-10-07 15:45:10" was fine: "stable, at 140-180 MB".

"197f83ad7678    2008-10-07 08:45:33 -0700"

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081106
Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

"28fc43e4394c    2008-10-19 05:37:54 -0700" was fine too.
Whiteboard: [Regressed between 2008-10-07 and 2008-11-02] → [Regressed between 2008-10-19 and 2008-11-02]
(Reporter)

Comment 4

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081106
Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

"c4da2fa2e6c4	2008-10-25 15:04:38 -0700" was fine too.
Whiteboard: [Regressed between 2008-10-19 and 2008-11-02] → [Regressed between 2008-10-25 and 2008-11-02]
(Reporter)

Comment 5

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081106
Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

"272cab893e34	2008-10-29 07:23:08 -0700" was already failing.
Whiteboard: [Regressed between 2008-10-25 and 2008-11-02] → [Regressed between 2008-10-25 and 2008-10-29]
(Reporter)

Comment 6

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081106
Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

"6eaeb4b48447	2008-10-27 20:16:32 -0700" was fine too.
Whiteboard: [Regressed between 2008-10-25 and 2008-10-29] → [Regressed between 2008-10-27 and 2008-10-29]
(Reporter)

Comment 7

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081106
Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

"9a73b04e67ca	2008-10-27 20:18:42 -0700" was already failing.

This is bug 462826 !
Depends on: 462826
Whiteboard: [Regressed between 2008-10-27 and 2008-10-29]
(Reporter)

Comment 8

9 years ago
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081108 Minefield/3.1b2pre] (home, optim default) (W2Ksp4)

R.Fixed, by bug 462826 comment 11 checkin.
No longer blocks: 463355
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Flags: blocking1.9.1?
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.1b2
Component: Testing → Mochitest
Product: Core → Testing
QA Contact: testing → mochitest
Target Milestone: mozilla1.9.1b2 → ---
Version: Trunk → unspecified
You need to log in before you can comment on or make changes to this bug.